DEBIAN-SVP(1)

NAME
debian-svp - create and manage changes against Debian packaging branches

SYNOPSIS
debian-svp [-h] [--version] {run,new-upstream,upload-pending,lintian-brush} ...

DESCRIPTION
debian-svp is a specialized version of svp(1) that automatically resolves Debian package names to the URLs of packaging branches. It also provides support for a couple of Debian-specific operations.

  COMMAND OVERVIEW

debian-svp run [-h] [--refresh] [--label LABEL] [--name NAME] [--mode {push,attempt-push,propose}] [--dry-run] [--commit-pending {auto,yes,no}] package script
    Make a change by running a script. URL should be the URL of a repository to make changes to. Script will be run in a checkout of the URL, with the opportunity to make changes. Depending on the specified mode, the changes will be committed and pushed back to the repository at the original URL or proposed as a change to the repository at the original URL.

debian-svp new-upstream [-h] [--snapshot] [--no-build-verify] [--pre-check PRE_CHECK] [--dry-run] [--mode {push,attempt-push,propose}] packages [packages ...]
    Create a merge proposal merging a new upstream version. The location of the upstream repository is retrieved from the debian/upstream/metadata file, and the tarball is fetched using uscan(1).

debian-svp upload-pending
    Upload pending commits in a packaging branch.

debian-svp lintian-brush [--fixers FIXERS] [--dry-run] [--propose-addon-only PROPOSE_ADDON_ONLY] [--pre-check PRE_CHECK] [--post-check POST_CHECK] [--build-verify] [--refresh] [--committer COMMITTER] [--mode {push,attempt-push,propose}] [--no-update-changelog] [--update-changelog] [packages [packages ...]]
    Create a merge proposal fixing lintian issues.

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

EXAMPLES

debian-svp lintian-brush https://salsa.debian.org/python-team/packages/dulwich
    Run lintian-brush(1) on the dulwich package and create a merge proposal with the resulting changes.

debian-svp lintian-brush dulwich
    Run lintian-brush(1) on the dulwich package and create a merge proposal with the resulting changes.

debian-svp new-upstream dulwich
    Create a new merge proposal merging the latest upstream version of dulwich into the packaging branch.

SEE ALSO
svp(1), git(1), brz(1), lintian-brush(1)

LICENSE
GNU General Public License, version 2 or later.

AUTHORS
Jelmer Vernooij <jelmer@jelmer.uk>